package com.bonus.material.warehousing.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.warehousing.domain.WarehousingEntity;
import com.bonus.material.warehousing.domain.WarehousingRecordEntity;

import java.util.List;

public interface WarehousingService {
    /**
     * 新增入库记录
     *
     * @param warehousing 入库实体
     * @return 是否成功
     */
    AjaxResult add(WarehousingEntity warehousing);

    /**
     * 根据id删除入库记录（逻辑删除）
     *
     * @param id 主键id
     * @return 是否成功
     */
    AjaxResult deleteById(Integer id);

    /**
     * 根据id更新入库记录
     *
     * @param warehousing 入库实体
     * @return 是否成功
     */
    AjaxResult updateById(WarehousingEntity warehousing);

    /**
     * 根据id查询入库记录
     *
     * @param id 主键id
     * @return 入库实体
     */
    AjaxResult getById(Integer id);

    /**
     * 条件查询入库记录列表
     *
     * @param warehousing 查询条件
     * @return 入库记录列表
     */
    List<WarehousingEntity> list(WarehousingEntity warehousing);

    /**
     * 批量提交
     *
     * @param ids
     * @return
     */
    AjaxResult batchSubmission(Integer[] ids);

    /**
     * 批量同意
     *
     * @param ids
     * @return
     */
    AjaxResult batchApproval(Integer[] ids);

    /**
     * 批量驳回
     *
     * @param ids
     * @return
     */
    AjaxResult batchRejection(Integer[] ids);



    AjaxResult getDevDetails(Integer id);



}
